# OpalMediaType Class Reference

`#include <mediatype.h>`

List of all members.

## Public Member Functions

| OpalMediaType ()
virtual | ~OpalMediaType ()
| OpalMediaType (const std::string &_str)
| OpalMediaType (const char *_str)
| OpalMediaType (const PString &_str)
void | PrintOn (ostream &strm) const
OpalMediaTypeDefinition * | GetDefinition () const

## Static Public Member Functions

static const char * | Audio ()
static const char * | Video ()
static const char * | Fax ()
static const char * | UserInput ()
static OpalMediaTypeDefinition * | GetDefinition (const OpalMediaType &key)
static OpalMediaTypeFactory::KeyList_T | GetList ()

## Constructor & Destructor Documentation

OpalMediaType::OpalMediaType | ( |  | ) | `[inline]`

virtual OpalMediaType::~OpalMediaType | ( |  | ) | `[inline, virtual]`

OpalMediaType::OpalMediaType | ( | const std::string & | _str | ) | `[inline]`

OpalMediaType::OpalMediaType | ( | const char * | _str | ) | `[inline]`

OpalMediaType::OpalMediaType | ( | const PString & | _str | ) | `[inline]`

## Member Function Documentation

static const char* OpalMediaType::Audio | ( |  | ) | `[static]`

static const char* OpalMediaType::Video | ( |  | ) | `[static]`

static const char* OpalMediaType::Fax | ( |  | ) | `[static]`

static const char* OpalMediaType::UserInput | ( |  | ) | `[static]`

void OpalMediaType::PrintOn | ( | ostream & | strm | ) | const`[inline]`

OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( |  | ) | const

static OpalMediaTypeDefinition* OpalMediaType::GetDefinition | ( | const OpalMediaType & | key | ) | `[static]`

static OpalMediaTypeFactory::KeyList_T OpalMediaType::GetList | ( |  | ) | `[inline, static]`

The documentation for this class was generated from the following file:

- mediatype.h